#include "stdio.h"
#include "stdlib.h"
#include "mkl.h"
#define N 12
int main()
{
  int n = N, nrhs = 1, lda = N, ldb = N, ipiv[N], info, i, j;
  double A[N*N], b[N];
  for( i = 0; i < n; i++ ){
    b[i] = (double)(206 - i);
  }
  printf( "VECTOR b:\n" );
  for( i = 0; i < n; i++ ){
    printf( "%12.6f ", b[i] );
  }
  printf( "\n" );
  for( i = 0; i < n; i++ ){
    for( j = 0; j < n; j++ ){
      if( i == j ) {
	A[n*i+j] = (double)(10000);
      } else {
	A[n*i+j] = ((double)(i+1)+(double)(j+1)/(double)(2));
      }
    }
  }
  printf( "MATRIX A:\n" );
  for( i = 0; i < n; i++ ){
    for( j = 0; j < n; j++ ){
      printf( "%12.6f ", A[n*i+j] );
    }
    printf( "\n" );
  }
  dgesv_( &n, &nrhs, A, &lda, ipiv, b, &ldb, &info );
  printf( "## dgesv ## VECTOR x:\n" );
  for( i = 0; i < n; i++ ){
    printf( "%12.6f ", b[i] );
  }
  printf( "\n" );
  return 0;
}
